{
    "name" : "华微农业",
    "appid" : "__UNI__2345442",
    "description" : "华微农业",
    "versionName" : "2.1.9",
    "versionCode" : 219,
    "transformPx" : false,
    "app-plus" : {
        /* 5+App特有相关 */
        "usingComponents" : true,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        "modules" : {
            "Payment" : {},
            "VideoPlayer" : {},
            "OAuth" : {},
            "Share" : {},
            "Maps" : {},
            "Camera" : {},
            "Barcode" : {}
        },
        /* 模块配置 */
        "distribute" : {
            /* 应用发布信息 */
            "android" : {
                /* android打包配置 */
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a", "x86" ]
            },
            "ios" : {
                "dSYMs" : false
            },
            /* ios打包配置 */
            "sdkConfigs" : {
                "ad" : {},
                "oauth" : {
                    "weixin" : {
                        "appid" : "wxd475830c2971dac3",
                        "appsecret" : "d92f14d01ec287dcb35bffb1cc2f2d5d",
                        "UniversalLinks" : ""
                    }
                },
                "share" : {
                    "weixin" : {
                        "appid" : "wxd475830c2971dac3",
                        "UniversalLinks" : ""
                    }
                },
                "geolocation" : {},
                "payment" : {
                    "weixin" : {
                        "__platform__" : [ "ios", "android" ],
                        "appid" : "wxd475830c2971dac3",
                        "UniversalLinks" : ""
                    },
                    "alipay" : {
                        "__platform__" : [ "ios", "android" ]
                    }
                },
                "maps" : {
                    "amap" : {
                        "appkey_ios" : "c5f891e346bc1eac7d34f74fc4c4136a",
                        "appkey_android" : "c5f891e346bc1eac7d34f74fc4c4136a"
                    }
                },
                "speech" : {},
                "statics" : {}
            },
            "icons" : {
                "android" : {
                    "hdpi" : "",
                    "xhdpi" : "",
                    "xxhdpi" : "",
                    "xxxhdpi" : ""
                },
                "ios" : {
                    "appstore" : "",
                    "ipad" : {
                        "app" : "",
                        "app@2x" : "",
                        "notification" : "",
                        "notification@2x" : "",
                        "proapp@2x" : "",
                        "settings" : "",
                        "settings@2x" : "",
                        "spotlight" : "",
                        "spotlight@2x" : ""
                    },
                    "iphone" : {
                        "app@2x" : "",
                        "app@3x" : "",
                        "notification@2x" : "",
                        "notification@3x" : "",
                        "settings@2x" : "",
                        "settings@3x" : "",
                        "spotlight@2x" : "",
                        "spotlight@3x" : ""
                    }
                }
            },
            "splashscreen" : {
                "androidStyle" : "common",
                "android" : {
                    "hdpi" : "C:/Users/Administrator/Desktop/test/1.png",
                    "xhdpi" : "C:/Users/Administrator/Desktop/test/2.png",
                    "xxhdpi" : "C:/Users/Administrator/Desktop/test/3.png"
                },
                "iosStyle" : "common",
                "useOriginalMsgbox" : true
            }
        },
        "uniStatistics" : {
            "enable" : false
        }
    },
    /* SDK配置 */
    "quickapp" : {},
    /* 快应用特有相关 */
    "mp-weixin" : {
        /* 小程序特有相关 */
        "usingComponents" : true,
        "appid" : "wx0614bdd665e53bb2",
        "setting" : {
            "urlCheck" : true,
            "es6" : true,
            "minified" : true,
            "postcss" : true
        },
        "optimization" : {
            "subPackages" : true
        },
        "uniStatistics" : {
            "enable" : false
        },
        "plugins" : {},
        "permission" : {
            "scope.userLocation" : {
                "desc" : "获取当前用户位置信息"
            }
        },
        "requiredPrivateInfos" : [ "getLocation", "chooseLocation", "chooseAddress" ]
    },
    "uniStatistics" : {
        "enable" : false
    },
    "h5" : {
        "devServer" : {
            "port" : 8083, //端口号
            "disableHostCheck" : true,
            "proxy" : {
                "/api" : {
                    "target" : "https://hwny.liuniukj.com/api", //目标接口域名
                    "changeOrigin" : true, //是否跨域
                    "secure" : false, // 设置支持https协议的代理
                    "pathRewrite" : {
                        "^/api" : ""
                    }
                }
            },
            "https" : false
        },
        "title" : "华微农业",
        "router" : {
            "mode" : "hash",
            "base" : "/h5/"
        },
        "optimization" : {
            "treeShaking" : {
                "enable" : false
            }
        },
        "sdkConfigs" : {
            "maps" : {}
        },
        "domain" : "https://zhly.yqin.cn",
        "template" : "index.html",
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-alipay" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-baidu" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-qq" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-toutiao" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-jd" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-kuaishou" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-lark" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "quickapp-webview-huawei" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "quickapp-webview-union" : {
        "uniStatistics" : {
            "enable" : false
        }
    }
}
//匹配请求路径里面有 /api 替换成 https://www.xxx.cn

